Name:		hatari
Version:	2.0.0
Release:	%mkrel 1
Summary:	An Atari ST emulator suitable for playing games
License:	GPLv2+
Group:		Emulators
URL:		http://hatari.tuxfamily.org/
Source0:	http://download.tuxfamily.org/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		hatari-1.9.0-mga-i18n+fix-desktop-file.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	readline-devel

# Required by zip2st and atari-hd-image
Requires:	unzip
Requires:	mtools
Requires:	dosfstools

%description
Hatari is an emulator for the Atari ST, STE, TT and Falcon computers.

The Atari ST was a 16/32 bit computer system which was first released by
Atari in 1985. Using the Motorola 68000 CPU, it was a very popular computer
having quite a lot of CPU power at that time. Unlike many other Atari ST
emulators which try to give you a good environment for running GEM
applications, Hatari tries to emulate the hardware of a ST as close as
possible so that it is able to run most of the old ST games and demos.


%prep
%setup -q
%autopatch -p1

# fix file-not-utf8
iconv -f iso8859-1 -t utf-8 doc/changelog.txt > doc/changelog.txt.conv && mv -f doc/changelog.txt.conv doc/changelog.txt

%build
%cmake \
	-DDOCDIR:PATH=%{_docdir}/%{name}-%{version} \
	-DBUILD_SHARED_LIBS:BOOL=OFF  ..

%make_build


%install
%make_install -C build

# fr man pages
install -d -m 755 %{buildroot}/%{_mandir}/fr/man1
install -m 644 doc/fr/%{name}.1 %{buildroot}/%{_mandir}/fr/man1

# appdata file
mkdir -p %{buildroot}%{_datadir}/appdata
cat > %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
EmailAddress: hatari-devel@lists.tuxfamily.org
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">hatari.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Atari emulator</summary>
  <description>
    <p>
      Hatari is an emulator that emulates Atari ST, Atari STE, Atari TT and Atari Falcon
      devices.
      It has the ability to emulate the joystick with input from either the host's
      keyboard or joystick.
    </p>
  </description>
  <url type="homepage">http://hatari.tuxfamily.org/</url>
  <screenshots>
    <screenshot type="default">http://hatari.tuxfamily.org/screens/features/deskhigh.png</screenshot>
  </screenshots>
</application>
EOF

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc readme.txt doc/changelog.txt doc/fr/clavier-exemple.txt
%doc tools/hmsa/readme-hmsa.txt
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/*.svg
%{_mandir}/man1/*.1*


%changelog
* Sun Nov 06 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1065543
- new version: 2.0.0
- port to SDL2

* Mon Feb 15 2016 umeabot <umeabot> 1.9.0-3.mga6
+ Revision: 960605
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 daviddavid <daviddavid> 1.9.0-2.mga6
+ Revision: 879719
- improve description and summary (like upstream)

* Fri Sep 11 2015 daviddavid <daviddavid> 1.9.0-1.mga6
+ Revision: 876962
- new version: 1.9.0
- patch0: fix desktop file + french translation
- update file list

* Fri Jun 26 2015 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 844579
- new version: 1.8.0
- update Url and Source Url
- add some requires on unzip, mtools and dosfstools
- fix file-not-utf8
- add a comment key for desktop file
- add from fedora an AppData file for the software center
- use %%find_lang %%{name} --with-man macro
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-4.mga5
+ Revision: 744350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 680086
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.7.0-2.mga4
+ Revision: 538667
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 bersuit <bersuit> 1.7.0-1.mga4
+ Revision: 490162
- Update to new upstream version 1.7.0

* Mon Jun 03 2013 fwang <fwang> 1.6.2-3.mga4
+ Revision: 435957
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.6.2-2.mga3
+ Revision: 353115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 bersuit <bersuit> 1.6.2-1.mga3
+ Revision: 314267
- updated to upstream 1.6.2

  + malo <malo>
    - fixing desktop file

* Mon Oct 31 2011 dmorgan <dmorgan> 1.5.0-1.mga2
+ Revision: 160239
- imported package hatari

